UiPath Documentation
test-cloud
latest
false
Wichtig :
Es kann 1–2 Wochen dauern, bis die Lokalisierung neu veröffentlichter Inhalte verfügbar ist.

Test Cloud-API-Handbuch

Letzte Aktualisierung 15. Mai 2026

Verzeichnisentität auflösen

Löst eine einzelne Verzeichnisentität anhand ihrer eindeutigen Kennung und ihres Typs basierend auf der Organisations-ID auf.

API-Endpunkt

POST {accessURL}/{organizationName}/identity_/api/Directory/Resolve/{partitionGlobalId}

Ersetzen Sie {accessURL} in allen Endpunktpfaden durch die Basis-URL für Ihre Cloud-Plattform:

Cloud PlatformZugriffs-URL
Test Cloudhttps://cloud.uipath.com/
Test Cloud Public Sectorhttps://govcloud.uipath.us/
Test Cloud Dedicated.https://{customURL}.dedicated.uipath.com/

Scopes

Folgende Scopes sind erforderlich:

  • PM.Verzeichnis

Anforderungsheader

--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
Hinweis:

Um das {access_token} zu erhalten, müssen Sie sich mit einer der hier beschriebenen Methoden authentifizieren.

Pfadparameter

PfadparameterDatentypBeschreibung
partitionGlobalId (erforderlich)Zeichenfolge (GUID)Die ID der Organisation, innerhalb derer die Entität aufgelöst werden soll.

Anforderungstext

Der Anforderungstext gibt die aufzulösende Entität an.

{
    "entityId": "string",
    "entityType": "User"
}
{
    "entityId": "string",
    "entityType": "User"
}
EigenschaftenDatentypBeschreibung
entityId (erforderlich)StringDer eindeutige Bezeichner der Verzeichnisentität.
entityType (erforderlich)StringDer Typ der Verzeichnisentität. Gültige Werte: User, Group, Application.

Antworten

200 OK

Gibt die vollständige Verzeichnisentität zurück. Die Antwortform hängt vom Entitätstyp ab.

Benutzerantwort:

{
    "objectType": "DirectoryUser",
    "source": "aad",
    "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "name": "john.doe@example.com",
    "email": "john.doe@example.com",
    "displayName": "John Doe",
    "firstName": "John",
    "lastName": "Doe",
    "jobTitle": "Software Engineer",
    "companyName": "Contoso",
    "city": "Seattle",
    "department": "Engineering",
    "isActive": true,
    "creationTime": "2025-01-15T10:30:00Z"
}
{
    "objectType": "DirectoryUser",
    "source": "aad",
    "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "name": "john.doe@example.com",
    "email": "john.doe@example.com",
    "displayName": "John Doe",
    "firstName": "John",
    "lastName": "Doe",
    "jobTitle": "Software Engineer",
    "companyName": "Contoso",
    "city": "Seattle",
    "department": "Engineering",
    "isActive": true,
    "creationTime": "2025-01-15T10:30:00Z"
}

Gruppenantwort:

{
    "objectType": "DirectoryGroup",
    "source": "aad",
    "identifier": "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901",
    "name": "Engineering Team",
    "email": null,
    "displayName": "Engineering Team",
    "externalId": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
}
{
    "objectType": "DirectoryGroup",
    "source": "aad",
    "identifier": "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901",
    "name": "Engineering Team",
    "email": null,
    "displayName": "Engineering Team",
    "externalId": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
}

Anwendungsantwort:

{
    "objectType": "DirectoryApplication",
    "source": "aad",
    "identifier": "aad|c3d4e5f6-a7b8-9012-cdef-123456789012",
    "name": "My Application",
    "email": null,
    "displayName": "My Application",
    "applicationId": "c3d4e5f6-a7b8-9012-cdef-123456789012"
}
{
    "objectType": "DirectoryApplication",
    "source": "aad",
    "identifier": "aad|c3d4e5f6-a7b8-9012-cdef-123456789012",
    "name": "My Application",
    "email": null,
    "displayName": "My Application",
    "applicationId": "c3d4e5f6-a7b8-9012-cdef-123456789012"
}

404 Nicht gefunden

Wird zurückgegeben, wenn die Entität oder Partition nicht gefunden werden kann.

Beispielanforderung

Angenommen, Sie haben alle Informationen gesammelt, die zum Erstellen des API-Aufrufs erforderlich sind.

  • Ihre {baseURL} ist: https://cloud.uipath.com/{organizationName}/identity_
  • Ihre {access_token} ist: 1234 (aus Gründen der Länge).
  • Die {partitionGlobalId} lautet: 3fa85f64-5717-4562-b3fc-2c963f66afa6
  • Sie möchten einen Benutzer mit ID aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890 auflösen.

Der Aufruf sollte dem folgenden Beispiel ähneln (cURL):

curl --location --request POST 'https://cloud.uipath.com/{organizationName}/identity_/api/Directory/Resolve/3fa85f64-5717-4562-b3fc-2c963f66afa6' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
    "entityId": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "entityType": "User"
}'
curl --location --request POST 'https://cloud.uipath.com/{organizationName}/identity_/api/Directory/Resolve/3fa85f64-5717-4562-b3fc-2c963f66afa6' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
    "entityId": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "entityType": "User"
}'

Hier ist der Antworttext für einen erfolgreichen Aufruf:

{
    "objectType": "DirectoryUser",
    "source": "aad",
    "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "name": "john.doe@example.com",
    "email": "john.doe@example.com",
    "displayName": "John Doe",
    "firstName": "John",
    "lastName": "Doe",
    "jobTitle": "Software Engineer",
    "companyName": "Contoso",
    "city": "Seattle",
    "department": "Engineering",
    "isActive": true,
    "creationTime": "2025-01-15T10:30:00Z"
}
{
    "objectType": "DirectoryUser",
    "source": "aad",
    "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "name": "john.doe@example.com",
    "email": "john.doe@example.com",
    "displayName": "John Doe",
    "firstName": "John",
    "lastName": "Doe",
    "jobTitle": "Software Engineer",
    "companyName": "Contoso",
    "city": "Seattle",
    "department": "Engineering",
    "isActive": true,
    "creationTime": "2025-01-15T10:30:00Z"
}
  • API-Endpunkt
  • Scopes
  • Anforderungsheader
  • Pfadparameter
  • Anforderungstext
  • Antworten
  • 200 OK
  • 404 Nicht gefunden
  • Beispielanforderung

War diese Seite hilfreich?

Verbinden

Benötigen Sie Hilfe? Support

Möchten Sie lernen? UiPath Academy

Haben Sie Fragen? UiPath-Forum

Auf dem neuesten Stand bleiben